/********************************************************
*                                                                                                            
* 文 件 名： PSCConfigDataManage.c   
* 版权说明： 北京交控科技有限公司 
* 创建时间： 2012-03-20
* 作    者： 联锁组
* 功能描述： 站台门控制器配置数据管理  
* 修改记录：   
*
********************************************************/ 

#include "PSCConfigDataManage.h"


PscConfigDataStruct PscConfigDataStru[PSC_SUM_MAX];   /*定义站台门控制器数据配置结构体,cgh-合并CID-2539-1：此处声明不进行初始化，统一放到InitAllStaticDataStr函数中进行初始化，为解决生成内核过大得问题*/

INT16 PscCurSum = 0;   /*PSC当前总数*/


/*
* 功能描述：  获取站台门控制器数据
* 参数说明：  
* 返回值  ： 
             PscConfigDataStruct *   
*/
PscConfigDataStruct *GetPscConfigData(void)
{
    return PscConfigDataStru;
}
	


/*
* 功能描述： 获取PSC当前总数
* 参数说明： void    
* 返回值  ： 0u: 获取数据失败
*			>0u: 车库门当前总数
*/
UINT16 GetPscCurSum(void)
{
	UINT16 retVal = 0u;

	if (PscCurSum >= (INT16)PSC_SUM_MAX)
	{
		retVal = PSC_SUM_MAX;
	}
	else if (PscCurSum < 0)
	{
		retVal = 0u;
	}
	else
	{
		retVal = (UINT16)PscCurSum;
	}
	return retVal;
}

